Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 622439 - [RFE] Waiting in line functionality
[RFE] Waiting in line functionality
Status: NEW
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.5
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: beaker-dev-list
GroupModel
: FutureFeature
: 629902 (view as bug list)
Depends On:
Blocks: 593663 790243
  Show dependency treegraph
 
Reported: 2010-08-09 07:20 EDT by David Kovalsky
Modified: 2018-11-09 18:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2010-08-09 07:20:03 EDT
Often times we have only 1 "special" type of system in inventory that more groups want to get their hands on. Especially in the snapshot phase, where the schedule is tight.

As it is right now, the workflow is see who holds the system and chase him down (IRC, mail, personally), which doesn't scale with more requestors.

I'd like to see some "standing in line" feature. First show at how I image it:

0) somebody is holding a system with unique storage that I need

1) I try reserving a system, but get put into the queue, because someone else has it. 
   1a) I manually signal (comment, priority) that I need the system quickly
   1b) other people can do that too

2) Owner of the system gets email notification that someone else urgently needs the system he/she is holding. 

    2a) Queue of requestors in urge is easily visible in Inventory Web UI.
Comment 1 Raymond Mancy 2010-08-09 07:36:56 EDT
Hi David, from what I can tell something like this seems warranted.
I think notifying the user that other people are queuing for their machine might be a good idea.
I'm not sure about an 'urgent' priority check. I wonder if this would be subject to abuse.
Comment 2 David Kovalsky 2010-08-09 08:03:16 EDT
Hey Raymond, 

I wouldn't be too worried about abuse. In fact, sending a private email is much more prone to the "I need it now" to abuse than having the information visible in public :) Another good thing about the public waiting queue is that it's easier to prioritize who will get the system next.

And in the end, it's up to the holder of the machine if (s)he will give it up anyway.
Comment 3 Nick Coghlan 2012-10-17 00:40:02 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 4 Nick Coghlan 2013-04-15 04:28:44 EDT
*** Bug 629902 has been marked as a duplicate of this bug. ***
Comment 6 Nick Coghlan 2014-08-06 04:18:55 EDT
The updated usage reminder emails in Beaker 0.18 (see https://beaker-project.org/dev/proposals/beaker-usage-report-emails.html) cover some aspects of this, in that owners of reserved systems will be reminded daily if queued recipes are waiting for those systems.

Note You need to log in before you can comment on or make changes to this bug.